#if !defined(AFX_GENERICLISTDLG_H__99D8B047_2FD9_11D3_8458_00105A17BC83__INCLUDED_)
#define AFX_GENERICLISTDLG_H__99D8B047_2FD9_11D3_8458_00105A17BC83__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GenericListDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGenericListDlg dialog

class CGenericListDlg : public CDialog
{
// Construction
public:
	CGenericListDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CGenericListDlg)
	enum { IDD = IDD_GENERICLISTDLG };
	CListBox	m_List;
	//}}AFX_DATA

	CString m_Title;
	CString m_Path;
	CString m_Extension;
	CString m_Name;

	bool	m_Strict;

	void (* FillCallback)(CListBox* listbox);

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGenericListDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	void DeletePathStrings();

	// Generated message map functions
	//{{AFX_MSG(CGenericListDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnDblclkGenlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GENERICLISTDLG_H__99D8B047_2FD9_11D3_8458_00105A17BC83__INCLUDED_)
